package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumTaxpayerType {

    NORMAL(1, "一般纳税人"),
    SMALL_SCALE(2, "小规模纳税人")
    ;

    public static EnumTaxpayerType getEnum(Integer code) {
        for (EnumTaxpayerType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumTaxpayerType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
